# Mountain News Partner API

The Web Service offered by OnTheSnow\.com/SkiInfo.com allows media organizations to add real time snow reports and resort information for ski resorts throughout the world.

The Mountain News Snow & Weather Report API provides real-time weather and operating data for ski resorts throughout the world. It is a fee-based service designed for media companies, governments, and financial institutions that wish to use the data for external or internal purposes.&#x20;

### Getting access

To learn more about licensing the data please [contact](https://www.mountainnews.com/#contact) our sales team with your use case.

### Authentication

Upon being granted access to the API, you will be provided a key to access the Mountain News API. The api uses **API key-based authentication,** to request an api resource simply append `x-api-key` to your http header requests with the api key provided.&#x20;

***Example curl request***

```
curl -X GET "https://partner-api.onthesnow.com/resort/482/snowreport" \
     -H "x-api-key: your-api-key-value" \
     -H "Content-Type: application/json"

```

### API Resource

The Partners API is a RESTful JSON API. For complete details on the available resources and response formats, refer to the [API reference](#api-resource). The primary resources provided by the API include:

* [**Resorts**](broken://pages/07o8R9WDVuX8GiVk2wrN)**:** This endpoint is used to filter resorts to a particular region, then use the resort ids to subsequently return snow and weather data.
* [**Resort / Snowreport**](broken://pages/KE8ypALVgXPkHnlhYHT5): Snow conditions, trail statuses, lift statuses, and other key operational details.
* [**Resort / Weather**:](broken://pages/I94qZsyoYSEPsndShJTO) Provides daily and hourly weather forecasts for a ski resort.
* [**Resort / Webcams**](broken://pages/Xw0CZ8SWJTkBVkHSccRy): Grants access to live ski resort webcams with daily updates.
* [**Resort / Profile**](broken://pages/BXmeDIDaSNVXv0GTEr70): Delivers profile information for a ski resort, including its location and other useful details.


# FAQs

### What unit of measurement is returned for snow all and weather api endpoints?

All measurements for snowfall and weather are provided in metric units:

* **Snowfall**: Reported in centimeters (cm).
* **Weather**: Reported in degrees Celsius (°C).
* **Elevation**: Reported in meters (m).

### Why is the snow report outdated?

Most ski resorts offer daily updates, but there may be times when a resort doesn't update promptly. To ensure you have the most current information, always check the "last updated" timestamp on the snow report.

### What is the API rate limit?

By default, your partner api account is limited to 10 requests per second and 5k requests per day. If you need an increased quota, simply reach out to our sales team.&#x20;


# API reference


# Resorts

Return resorts based on optional region name filters

The /resorts GET endpoint returns all resorts available and active within MountainNews. It is recommended to use this endpoint to identify resort ids you would like to pull snow report information for. We recommend caching the results to this endpoint.

You can filter to a specific set of resorts based on the following optional filters

* `state` - Filter to resorts based on a state name filter (e.g. `?state=Colorado`)
* `country` - Filter to resorts based on a country name filter (e.g. `?country=France`)
* `continent` - Filter to resorts based on a continent name filter (e.g. `?continent=Europe`)

## GET /resorts

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"PartnerResortItems":{"type":"array","description":"Collection of partner resorts","items":{"type":"object","properties":{"continent":{"type":"string","description":"Resort Continent"},"country":{"type":"string","description":"Resort country"},"regionId":{"type":"number","description":"Unique identifier of the region"},"name":{"type":"string","description":"Name of the resort"},"id":{"type":"number","description":"Unique identifier of the resort"},"state":{"type":"string","description":"Resort State"}}}}}},"paths":{"/resorts":{"get":{"operationId":"listResorts","parameters":[{"name":"state","in":"query","schema":{"type":"string"}},{"name":"continent","in":"query","schema":{"type":"string"}},{"name":"resortName","in":"query","schema":{"type":"string"}},{"name":"country","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerResortItems"}}}}}}}}}
```


# Batch APIs

This page provides short instructions on the batch API usage

The MountainNews Partner API also supports batch requests allowing you to request snowreports, weather forecasts, resort profiles and cams for multiple resorts.&#x20;

### Query Params

All batch endpoints accept **2 mutually exclusive** query parameters:

* regionId - a string with just one region ID
* resortIds - a comma-separated string like 700,36,1

**At least one is required. If you provide regionId you can't provide resortIds and vice versa.**

You can obtain regionId from the [GET regions](/api-reference/regions) endpoint.

### Limits and Pagination

The API currently limits to 50 resorts in one call, even though we're working on increasing this number.&#x20;

Region-related responses are paginated, you can control page number and size using `page` and `pageSize` query params.


# Snowreports and Snowfall API

Returns snow conditions, trail statuses, lift statuses, and other key operational details for ski resorts.

Note snow reports are sourced directly from the ski resorts and are only recorded during the ski season. Snow reports are generally updated daily, though always be to sure to display or filter based on `updatedDt` as in some cases the resort snow report can be outdated.

Key details the resort snowreport api resource returns:

* **Status -** The resort operating statues (e.g. open, closed) and planned open/closing dates.
* **Depths** - Snow depths at base, mid, and summit. Note resorts do not always report all three values, most commonly the base and summit are only reported.&#x20;
* **Recent** - reported snowfall for the last 7 days.
* **Lifts -** Number of open lifts.&#x20;
* **Terrain -** Open runs and terrain resort status.
* **Surface Type -** The primary surface of the snow (e.g. Packed Powder)

## GET /resorts/snowreport

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ArrayOfResortSnowReport":{"type":"array","items":{"$ref":"#/components/schemas/ResortSnowReport"}},"ResortSnowReport":{"type":"object","properties":{"depth":{"required":["base","summit"],"type":"object","properties":{"middle":{"type":"number","description":"Middle snow depth"},"summit":{"type":"number","description":"Summit snow depth"},"base":{"type":"number","description":"Base snow depth"}}},"surfaceType":{"type":"number","description":"\n * Primary snow surface type at the top:\n * 1 - Powder\n * 2 - Packed Powder\n * 3 - Machine Made\n * 4 - Machine Groomed\n * 5 - Hard Packed\n * 6 - Spring Snow\n * 7 - Corn Snow\n * 8 - Loose Granular\n * 9 - Frozen Granular\n * 10 - Granular\n * 11 - Icy Spots\n * 12 - Bare Spots\n * 13 - Obstacles\n * 14 - Skiers Packed\n * 15 - Variable Conditions\n * 16 - Wet Snow\n * 17 - Thin Cover\n * 18 - Wind Blown","enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18]},"lifts":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of lifts total"},"details":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Lift name"},"type":{"type":"string","description":"\n * highSpeedSix - Six Chair High Speed\n * highSpeedEight - Eight Chair High Speed\n * gondola - Gondola\n * tram - Tram\n * highSpeedQuad - Four Chair High Speed\n * quad - Four Chair\n * triple - Three Chairs\n * double - Double Chairs\n * surface - Surface lift\n * other - Other type of lift","enum":["surface","double","triple","quad","highSpeedQuad","highSpeedSix","highSpeedEight","gondola","tram","other"]},"status":{"type":"number","description":"\n * 0 - No Info\n * 1 - Open\n * 2 - Closed\n * 3 - Temporarily Closed (On Hold)\n * 4 - Delayed\n * 5 - Open to Mid Station only","enum":[0,1,2,3,4,5]}}}},"open":{"type":"number","description":"Number of lifts open"}},"description":"Resort lifts element"},"resort":{"type":"number","description":"Resort ID"},"terrain":{"type":"object","properties":{"parks":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of pipes total"},"open":{"type":"number","description":"Number of pipes open"}}},"canReturnBySki":{"type":"boolean"},"km":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Km of runs total"},"open":{"type":"number","description":"Km of runs open"}},"description":"Resort runs in km element"},"runsIntermediate":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort intermediate terrain item"},"runsExpert":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort expert terrain item"},"runsBeginner":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort beginner terrain item"},"runsAdvanced":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort advanced terrain item"},"tubes":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of tubes total"},"open":{"type":"number","description":"Number of tubes open"}}},"acres":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of acres total"},"open":{"type":"number","description":"Number of acres open"}}},"nordic":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Total in km"},"skategroomed":{"type":"number","description":"Skategroomed in km"},"trackset":{"type":"number","description":"Trackset in km"},"open":{"type":"number","description":"Nordic Open in km"}}},"runs":{"required":["total"],"type":"object","properties":{"total":{"type":"integer","description":"Total number of runs","format":"int32"},"openPercent":{"type":"integer","description":"Percentage of runs that are open","format":"int32"},"details":{"type":"array","description":"List of individual runs with their statuses and attributes","items":{"type":"object","properties":{"difficulty":{"type":"number","description":"\n * 1 - Easy\n * 2 - Intermediate\n * 3 - Advanced\n * 4 - Expert","enum":[0,1,2,3,4]},"nightskiing":{"type":"boolean","description":"Indicates if the run supports night skiing"},"snowmaking":{"type":"boolean","description":"Snowmaking"},"name":{"type":"string","description":"Name of the run"},"grooming":{"type":"boolean","description":"Indicates if the run is groomed"},"status":{"type":"number","description":"\n * 0 - No Info\n * 1 - Open\n * 2 - Closed\n * 3 - Temporarily Closed (On Hold)\n * 4 - Delayed\n * 5 - Open to Mid Station only","enum":[0,1,2,3,4,5]}}}},"open":{"type":"integer","description":"Number of open runs","format":"int32"}}},"pipes":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of pipes total"},"open":{"type":"number","description":"Number of pipes open"}}}}},"recent":{"type":"array","description":"Recent snow history for the last 7 days.","items":{"required":["date","snow"],"type":"object","properties":{"date":{"type":"string","description":"ISO date without time in YYYY-MM-dd format"},"snow":{"type":"number","description":"Snow fall value in cm"}},"description":"Describes snow history chart item"}},"url":{"type":"string"},"surfaceTypeBottom":{"type":"number","description":"\n * Primary snow surface type at the bottom:\n * 1 - Powder\n * 2 - Packed Powder\n * 3 - Machine Made\n * 4 - Machine Groomed\n * 5 - Hard Packed\n * 6 - Spring Snow\n * 7 - Corn Snow\n * 8 - Loose Granular\n * 9 - Frozen Granular\n * 10 - Granular\n * 11 - Icy Spots\n * 12 - Bare Spots\n * 13 - Obstacles\n * 14 - Skiers Packed\n * 15 - Variable Conditions\n * 16 - Wet Snow\n * 17 - Thin Cover\n * 18 - Wind Blown","enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18]},"status":{"required":["openFlag"],"type":"object","properties":{"openFlag":{"type":"number","description":"\n *              Resort Open Status:\n *              `1` - Open\n *              `2` - Closed\n *              `3` - Temporarily Closed\n *              `4` - Weekends only\n *              `5` - No Report Available\n *              `6` - Permanently Closed\n *          ","enum":[1,2,3,4,5,6]},"closingDate":{"type":"string","description":"ISO 8601 date without time"},"openingDate":{"type":"string","description":"ISO 8601 date without time"}},"description":"Report Status"},"updatedAt":{"type":"string","description":"The last update date and time of the snow report in ISO 8601 format.","format":"date-time"}},"description":"Represents the snow report for a partner resort."}}},"paths":{"/resorts/snowreport":{"get":{"parameters":[{"name":"regionId","in":"query","schema":{"type":"string"}},{"name":"resortIds","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArrayOfResortSnowReport"}}}}}}}}}
```


# Webcams API

## GET /resorts/webcams

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"PartnerWebcamItems":{"type":"array","description":"Collection of partner webcams","items":{"type":"object","properties":{"image":{"type":"object","properties":{"large":{"type":"string","format":"uri"},"thumb":{"type":"string","format":"uri"},"xlarge":{"type":"string","format":"uri"},"mid":{"type":"string","format":"uri"}}},"lastUpdate":{"type":"string","format":"date-time"},"webcamId":{"type":"number"},"resort":{"type":"number"},"webcamName":{"type":"string"},"webcamIframeUrl":{"type":"string"},"liveStreaming":{"type":"boolean"}}}}}},"paths":{"/resorts/webcams":{"get":{"parameters":[{"name":"regionId","in":"query","schema":{"type":"string"}},{"name":"resortIds","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerWebcamItems"}}}}}}}}}
```


# Profiles API

Returns profile information for ski resorts, including their location and other useful details.

The resort profile endpoint returns key resort statistics, that are largely static.&#x20;

## GET /resorts/profile

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ArrayOfResortProfile":{"type":"array","items":{"$ref":"#/components/schemas/ResortProfile"}},"ResortProfile":{"type":"object","properties":{"elevation":{"required":["base","summit","verticalDrop"],"type":"object","properties":{"verticalDrop":{"type":"number"},"summit":{"type":"number"},"base":{"type":"number"}},"description":"Mountain elevation info in meters"},"website":{"type":"string","description":"Official website URL of the resort","format":"url"},"resortName":{"type":"string","description":"Name of the resort"},"kmNightSkiing":{"type":"number"},"lifts":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of lifts total"},"allLifts":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string","enum":["surface","double","triple","quad","highSpeedQuad","highSpeedSix","highSpeedEight","gondola","tram"]}}}},"details":{"type":"object","properties":{"numEightLifts":{"type":"integer","format":"int32"},"numTripleChairs":{"type":"integer","format":"int32"},"numGondolasTrans":{"type":"integer","format":"int32"},"numQuadChairs":{"type":"integer","format":"int32"},"numLifts":{"type":"integer","format":"int32"},"numSurfaceLifts":{"type":"integer","format":"int32"},"numHighSpeedQuads":{"type":"integer","format":"int32"},"numHighSpeedSix":{"type":"integer","format":"int32"},"numDoubleChairs":{"type":"integer","format":"int32"}}},"open":{"type":"number","description":"Number of lifts open"}},"description":"Resort lifts element"},"services":{"type":"object","properties":{"hasNordic":{"type":"boolean","description":"Whether the resort offers nordic skiing"},"hasSnowPark":{"type":"boolean","description":"Whether the resort has a snow park"},"hasSkiing":{"type":"boolean","description":"Whether the resort offers skiing"},"hasSummer":{"type":"boolean","description":"Whether the resort offers summer activities"},"glacierResort":{"type":"boolean","description":"Whether the resort is located on a glacier"},"indoorResort":{"type":"boolean","description":"Whether the resort is an indoor resort"}}},"facts":{"type":"object","properties":{"projectedOpening":{"type":"string","description":"Projected opening date in YYYY-MM-DD format","format":"date"},"numDaysOpenLastYear":{"type":"integer","description":"Number of days the resort was open last year","format":"int32"},"projectedClosing":{"type":"string","description":"Projected closing date in YYYY-MM-DD format","format":"date"}},"description":"Additional facts about the resort"},"url":{"type":"string"},"skierEmail":{"type":"string"},"numNightSkiingAcres":{"type":"number"},"schedule":{"type":"array","description":"Describes resort operating hours for each day of the week. `day` uses 0..6 (0=Monday, 6=Sunday).","items":{"required":["day","from","to"],"type":"object","properties":{"isNight":{"type":"boolean","description":"Whether this time range is a night session."},"from":{"type":"string","description":"Start time in HH:mm:ss (24h). Example: 08:45:00"},"to":{"type":"string","description":"End time in HH:mm:ss (24h). Example: 15:30:00"},"day":{"maximum":6,"minimum":0,"type":"integer","description":"Day of week (0=Sunday ... 6=Saturday).","format":"int32"}}}},"phone800":{"type":"string"},"location":{"type":"object","properties":{"zip":{"type":"string","description":"ZIP code of the resort"},"city":{"type":"string","description":"City where the resort is located"},"stateName":{"type":"string","description":"Name of the state"},"street":{"type":"string","description":"Street address of the resort"},"latitude":{"type":"number","description":"Latitude","format":"float"},"countryName":{"type":"string","description":"Name of the country"},"longitude":{"type":"number","description":"Longitude","format":"float"}},"description":"Location details of the resort"},"id":{"type":"integer","description":"Unique identifier for the resort profile","format":"int32"},"runs":{"type":"object","properties":{"expert":{"type":"integer","description":"Number of expert runs","format":"int32"},"total":{"type":"integer","description":"Total number of runs","format":"int32"},"beginner":{"type":"integer","description":"Number of beginner runs","format":"int32"},"advanced":{"type":"integer","description":"Number of advanced runs","format":"int32"},"intermediate":{"type":"integer","description":"Number of intermediate runs","format":"int32"},"allRuns":{"type":"array","items":{"type":"object","properties":{"difficulty":{"type":"integer","description":"\n * 1 - Beginner - Green (in US)\n * 2 - Intermediate - Blue (in US)\n * 3 - Advanced - Black (in US)\n * 4 - Expert - Double Black (in US)","format":"int32","enum":[1,2,3,4]},"length":{"type":"integer","description":"Length of run in meters","format":"int32"},"name":{"type":"string"}}}},"totalRunsLength":{"type":"number","description":"Total length of all runs in km","format":"float"}},"description":"Information about the resort's runs"},"terrain":{"type":"object","properties":{"km":{"type":"number","description":"Kilometers of pistes","format":"float"},"acres":{"type":"integer","description":"Skiable acres","format":"int32"},"skiReturn":{"type":"integer","description":"Ability to return by ski","format":"int32"},"longestRun":{"type":"integer","description":"Longest resort run","format":"int32"}},"description":"Terrain information"}},"description":"Detailed profile information of a resort"}}},"paths":{"/resorts/profile":{"get":{"parameters":[{"name":"regionId","in":"query","schema":{"type":"string"}},{"name":"resortIds","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArrayOfResortProfile"}}}}}}}}}
```


# Weather API

Returns daily and hourly weather forecasts for a ski resort.

7-Day Weather forecasts are updated throughout the day for each ski resort. Forecasts are provided at the base, at the summit, and for some resorts mid mountain. Note all forecast data returns data in metric values. Wind speed is returned in m/s.

### Daily Weather Forecasts

## GET /resorts/weather/daily

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ArrayOfBatchResortWeatherDaily":{"type":"array","items":{"$ref":"#/components/schemas/BatchResortWeatherDaily"}},"BatchResortWeatherDaily":{"allOf":[{"$ref":"#/components/schemas/ResortWeatherDaily"},{"type":"object","properties":{"resort":{"type":"number","description":"Resort ID"}}}]},"ResortWeatherDaily":{"required":["base","summit","weatherItems"],"type":"object","properties":{"weatherItems":{"type":"array","items":{"required":["base","datetime","summit"],"type":"object","properties":{"datetime":{"type":"string","description":"ISO 8601 date with time"},"mid":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}},"summit":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number","description":"Wind speed in meters/second"},"direction":{"type":"number"}}}}},"base":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}}},"description":"Historical Weather Item"}},"summit":{"type":"number"},"url":{"type":"string"},"base":{"type":"number"}}},"WeatherType":{"type":"string","description":"* SUN\n* LUNE\n* MOSTLY_SUNNY\n* SLIGHTLY_CLOUDY\n* CLOUDY\n* RAIN\n* SLEET\n* SNOW\n* RAIN_SHOWERS\n* SNOW_SHOWERS\n* SLEET_SHOWERS\n* OVERCAS\n* FOG\n* THUNDERSTORM\n* LIGHT_RAIN\n","enum":["SUN","LUNE","MOSTLY_SUNNY","SLIGHTLY_CLOUDY","CLOUDY","RAIN","SLEET","SNOW","RAIN_SHOWERS","SNOW_SHOWERS","SLEET_SHOWERS","OVERCAS","FOG","THUNDERSTORM","LIGHT_RAIN"]}}},"paths":{"/resorts/weather/daily":{"get":{"parameters":[{"name":"regionId","in":"query","schema":{"type":"string"}},{"name":"resortIds","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArrayOfBatchResortWeatherDaily"}}}}}}}}}
```

### Hourly Weather Forecasts <a href="#hourly-weather-forecasts" id="hourly-weather-forecasts"></a>

## GET /resorts/weather/hourly

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ArrayOfBatchResortWeatherHourly":{"type":"array","items":{"$ref":"#/components/schemas/BatchResortWeatherHourly"}},"BatchResortWeatherHourly":{"allOf":[{"$ref":"#/components/schemas/ResortWeatherHourly"},{"type":"object","properties":{"resort":{"type":"number","description":"Resort ID"}}}]},"ResortWeatherHourly":{"required":["base","summit","weatherItems"],"type":"object","properties":{"weatherItems":{"type":"array","items":{"required":["base","datetime","summit"],"type":"object","properties":{"datetime":{"type":"string","description":"ISO 8601 date with time"},"mid":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}},"summit":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number","description":"Wind speed in meters/second"},"direction":{"type":"number"}}}}},"base":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}}},"description":"Historical Weather Item"}},"summit":{"type":"number"},"url":{"type":"string"},"base":{"type":"number"}}},"WeatherType":{"type":"string","description":"* SUN\n* LUNE\n* MOSTLY_SUNNY\n* SLIGHTLY_CLOUDY\n* CLOUDY\n* RAIN\n* SLEET\n* SNOW\n* RAIN_SHOWERS\n* SNOW_SHOWERS\n* SLEET_SHOWERS\n* OVERCAS\n* FOG\n* THUNDERSTORM\n* LIGHT_RAIN\n","enum":["SUN","LUNE","MOSTLY_SUNNY","SLIGHTLY_CLOUDY","CLOUDY","RAIN","SLEET","SNOW","RAIN_SHOWERS","SNOW_SHOWERS","SLEET_SHOWERS","OVERCAS","FOG","THUNDERSTORM","LIGHT_RAIN"]}}},"paths":{"/resorts/weather/hourly":{"get":{"parameters":[{"name":"regionId","in":"query","schema":{"type":"string"}},{"name":"resortIds","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArrayOfBatchResortWeatherHourly"}}}}}}}}}
```


# Ski Resort Snowreport API

Returns snow conditions, trail statuses, lift statuses, and other key operational details for a ski resort.

Note snow reports are sourced directly from the ski resorts and are only recorded during the ski season. Snow reports are generally updated daily, though be to sure to display or filter based on `updatedDt` as in some cases the resort snow report can be outdated.

Key details the resort snowreport api resource returns:

* **Status -** The resort operating status (e.g. open, closed) and planned open/closing dates.
* **Depths** - Snow depths at base, mid, and summit. Note resorts do not always report all three values, most commonly the base and summit are only reported.&#x20;
* **Recent** - reported snowfall for the last 7 days.
* **Lifts -** Number of open lifts.&#x20;
* **Terrain -** Number of open runs and terrain resort status.
* **Surface Type -** The primary surface of the snow (e.g. Packed Powder)

## GET /resort/{resortId}/snowreport

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ResortSnowReport":{"type":"object","properties":{"depth":{"required":["base","summit"],"type":"object","properties":{"middle":{"type":"number","description":"Middle snow depth"},"summit":{"type":"number","description":"Summit snow depth"},"base":{"type":"number","description":"Base snow depth"}}},"surfaceType":{"type":"number","description":"\n * Primary snow surface type at the top:\n * 1 - Powder\n * 2 - Packed Powder\n * 3 - Machine Made\n * 4 - Machine Groomed\n * 5 - Hard Packed\n * 6 - Spring Snow\n * 7 - Corn Snow\n * 8 - Loose Granular\n * 9 - Frozen Granular\n * 10 - Granular\n * 11 - Icy Spots\n * 12 - Bare Spots\n * 13 - Obstacles\n * 14 - Skiers Packed\n * 15 - Variable Conditions\n * 16 - Wet Snow\n * 17 - Thin Cover\n * 18 - Wind Blown","enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18]},"lifts":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of lifts total"},"details":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Lift name"},"type":{"type":"string","description":"\n * highSpeedSix - Six Chair High Speed\n * highSpeedEight - Eight Chair High Speed\n * gondola - Gondola\n * tram - Tram\n * highSpeedQuad - Four Chair High Speed\n * quad - Four Chair\n * triple - Three Chairs\n * double - Double Chairs\n * surface - Surface lift\n * other - Other type of lift","enum":["surface","double","triple","quad","highSpeedQuad","highSpeedSix","highSpeedEight","gondola","tram","other"]},"status":{"type":"number","description":"\n * 0 - No Info\n * 1 - Open\n * 2 - Closed\n * 3 - Temporarily Closed (On Hold)\n * 4 - Delayed\n * 5 - Open to Mid Station only","enum":[0,1,2,3,4,5]}}}},"open":{"type":"number","description":"Number of lifts open"}},"description":"Resort lifts element"},"resort":{"type":"number","description":"Resort ID"},"terrain":{"type":"object","properties":{"parks":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of pipes total"},"open":{"type":"number","description":"Number of pipes open"}}},"canReturnBySki":{"type":"boolean"},"km":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Km of runs total"},"open":{"type":"number","description":"Km of runs open"}},"description":"Resort runs in km element"},"runsIntermediate":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort intermediate terrain item"},"runsExpert":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort expert terrain item"},"runsBeginner":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort beginner terrain item"},"runsAdvanced":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort advanced terrain item"},"tubes":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of tubes total"},"open":{"type":"number","description":"Number of tubes open"}}},"acres":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of acres total"},"open":{"type":"number","description":"Number of acres open"}}},"nordic":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Total in km"},"skategroomed":{"type":"number","description":"Skategroomed in km"},"trackset":{"type":"number","description":"Trackset in km"},"open":{"type":"number","description":"Nordic Open in km"}}},"runs":{"required":["total"],"type":"object","properties":{"total":{"type":"integer","description":"Total number of runs","format":"int32"},"openPercent":{"type":"integer","description":"Percentage of runs that are open","format":"int32"},"details":{"type":"array","description":"List of individual runs with their statuses and attributes","items":{"type":"object","properties":{"difficulty":{"type":"number","description":"\n * 1 - Easy\n * 2 - Intermediate\n * 3 - Advanced\n * 4 - Expert","enum":[0,1,2,3,4]},"nightskiing":{"type":"boolean","description":"Indicates if the run supports night skiing"},"snowmaking":{"type":"boolean","description":"Snowmaking"},"name":{"type":"string","description":"Name of the run"},"grooming":{"type":"boolean","description":"Indicates if the run is groomed"},"status":{"type":"number","description":"\n * 0 - No Info\n * 1 - Open\n * 2 - Closed\n * 3 - Temporarily Closed (On Hold)\n * 4 - Delayed\n * 5 - Open to Mid Station only","enum":[0,1,2,3,4,5]}}}},"open":{"type":"integer","description":"Number of open runs","format":"int32"}}},"pipes":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of pipes total"},"open":{"type":"number","description":"Number of pipes open"}}}}},"recent":{"type":"array","description":"Recent snow history for the last 7 days.","items":{"required":["date","snow"],"type":"object","properties":{"date":{"type":"string","description":"ISO date without time in YYYY-MM-dd format"},"snow":{"type":"number","description":"Snow fall value in cm"}},"description":"Describes snow history chart item"}},"url":{"type":"string"},"surfaceTypeBottom":{"type":"number","description":"\n * Primary snow surface type at the bottom:\n * 1 - Powder\n * 2 - Packed Powder\n * 3 - Machine Made\n * 4 - Machine Groomed\n * 5 - Hard Packed\n * 6 - Spring Snow\n * 7 - Corn Snow\n * 8 - Loose Granular\n * 9 - Frozen Granular\n * 10 - Granular\n * 11 - Icy Spots\n * 12 - Bare Spots\n * 13 - Obstacles\n * 14 - Skiers Packed\n * 15 - Variable Conditions\n * 16 - Wet Snow\n * 17 - Thin Cover\n * 18 - Wind Blown","enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18]},"status":{"required":["openFlag"],"type":"object","properties":{"openFlag":{"type":"number","description":"\n *              Resort Open Status:\n *              `1` - Open\n *              `2` - Closed\n *              `3` - Temporarily Closed\n *              `4` - Weekends only\n *              `5` - No Report Available\n *              `6` - Permanently Closed\n *          ","enum":[1,2,3,4,5,6]},"closingDate":{"type":"string","description":"ISO 8601 date without time"},"openingDate":{"type":"string","description":"ISO 8601 date without time"}},"description":"Report Status"},"updatedAt":{"type":"string","description":"The last update date and time of the snow report in ISO 8601 format.","format":"date-time"}},"description":"Represents the snow report for a partner resort."}}},"paths":{"/resort/{resortId}/snowreport":{"get":{"parameters":[{"name":"resortId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResortSnowReport"}}}}}}}}}
```


# Ski Resort Webcams API

## GET /resort/{resortId}/webcams

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"PartnerWebcamItems":{"type":"array","description":"Collection of partner webcams","items":{"type":"object","properties":{"image":{"type":"object","properties":{"large":{"type":"string","format":"uri"},"thumb":{"type":"string","format":"uri"},"xlarge":{"type":"string","format":"uri"},"mid":{"type":"string","format":"uri"}}},"lastUpdate":{"type":"string","format":"date-time"},"webcamId":{"type":"number"},"resort":{"type":"number"},"webcamName":{"type":"string"},"webcamIframeUrl":{"type":"string"},"liveStreaming":{"type":"boolean"}}}}}},"paths":{"/resort/{resortId}/webcams":{"get":{"parameters":[{"name":"resortId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerWebcamItems"}}}}}}}}}
```


# Ski Resort Profile API

Returns profile information for a ski resort, including its location and other useful details.

The resort profile endpoint returns key resort statistics, that are largely static.&#x20;

## GET /resort/{resortId}/profile

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ResortProfile":{"type":"object","properties":{"elevation":{"required":["base","summit","verticalDrop"],"type":"object","properties":{"verticalDrop":{"type":"number"},"summit":{"type":"number"},"base":{"type":"number"}},"description":"Mountain elevation info in meters"},"website":{"type":"string","description":"Official website URL of the resort","format":"url"},"resortName":{"type":"string","description":"Name of the resort"},"kmNightSkiing":{"type":"number"},"lifts":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of lifts total"},"allLifts":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string","enum":["surface","double","triple","quad","highSpeedQuad","highSpeedSix","highSpeedEight","gondola","tram"]}}}},"details":{"type":"object","properties":{"numEightLifts":{"type":"integer","format":"int32"},"numTripleChairs":{"type":"integer","format":"int32"},"numGondolasTrans":{"type":"integer","format":"int32"},"numQuadChairs":{"type":"integer","format":"int32"},"numLifts":{"type":"integer","format":"int32"},"numSurfaceLifts":{"type":"integer","format":"int32"},"numHighSpeedQuads":{"type":"integer","format":"int32"},"numHighSpeedSix":{"type":"integer","format":"int32"},"numDoubleChairs":{"type":"integer","format":"int32"}}},"open":{"type":"number","description":"Number of lifts open"}},"description":"Resort lifts element"},"services":{"type":"object","properties":{"hasNordic":{"type":"boolean","description":"Whether the resort offers nordic skiing"},"hasSnowPark":{"type":"boolean","description":"Whether the resort has a snow park"},"hasSkiing":{"type":"boolean","description":"Whether the resort offers skiing"},"hasSummer":{"type":"boolean","description":"Whether the resort offers summer activities"},"glacierResort":{"type":"boolean","description":"Whether the resort is located on a glacier"},"indoorResort":{"type":"boolean","description":"Whether the resort is an indoor resort"}}},"facts":{"type":"object","properties":{"projectedOpening":{"type":"string","description":"Projected opening date in YYYY-MM-DD format","format":"date"},"numDaysOpenLastYear":{"type":"integer","description":"Number of days the resort was open last year","format":"int32"},"projectedClosing":{"type":"string","description":"Projected closing date in YYYY-MM-DD format","format":"date"}},"description":"Additional facts about the resort"},"url":{"type":"string"},"skierEmail":{"type":"string"},"numNightSkiingAcres":{"type":"number"},"schedule":{"type":"array","description":"Describes resort operating hours for each day of the week. `day` uses 0..6 (0=Monday, 6=Sunday).","items":{"required":["day","from","to"],"type":"object","properties":{"isNight":{"type":"boolean","description":"Whether this time range is a night session."},"from":{"type":"string","description":"Start time in HH:mm:ss (24h). Example: 08:45:00"},"to":{"type":"string","description":"End time in HH:mm:ss (24h). Example: 15:30:00"},"day":{"maximum":6,"minimum":0,"type":"integer","description":"Day of week (0=Sunday ... 6=Saturday).","format":"int32"}}}},"phone800":{"type":"string"},"location":{"type":"object","properties":{"zip":{"type":"string","description":"ZIP code of the resort"},"city":{"type":"string","description":"City where the resort is located"},"stateName":{"type":"string","description":"Name of the state"},"street":{"type":"string","description":"Street address of the resort"},"latitude":{"type":"number","description":"Latitude","format":"float"},"countryName":{"type":"string","description":"Name of the country"},"longitude":{"type":"number","description":"Longitude","format":"float"}},"description":"Location details of the resort"},"id":{"type":"integer","description":"Unique identifier for the resort profile","format":"int32"},"runs":{"type":"object","properties":{"expert":{"type":"integer","description":"Number of expert runs","format":"int32"},"total":{"type":"integer","description":"Total number of runs","format":"int32"},"beginner":{"type":"integer","description":"Number of beginner runs","format":"int32"},"advanced":{"type":"integer","description":"Number of advanced runs","format":"int32"},"intermediate":{"type":"integer","description":"Number of intermediate runs","format":"int32"},"allRuns":{"type":"array","items":{"type":"object","properties":{"difficulty":{"type":"integer","description":"\n * 1 - Beginner - Green (in US)\n * 2 - Intermediate - Blue (in US)\n * 3 - Advanced - Black (in US)\n * 4 - Expert - Double Black (in US)","format":"int32","enum":[1,2,3,4]},"length":{"type":"integer","description":"Length of run in meters","format":"int32"},"name":{"type":"string"}}}},"totalRunsLength":{"type":"number","description":"Total length of all runs in km","format":"float"}},"description":"Information about the resort's runs"},"terrain":{"type":"object","properties":{"km":{"type":"number","description":"Kilometers of pistes","format":"float"},"acres":{"type":"integer","description":"Skiable acres","format":"int32"},"skiReturn":{"type":"integer","description":"Ability to return by ski","format":"int32"},"longestRun":{"type":"integer","description":"Longest resort run","format":"int32"}},"description":"Terrain information"}},"description":"Detailed profile information of a resort"}}},"paths":{"/resort/{resortId}/profile":{"get":{"parameters":[{"name":"resortId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResortProfile"}}}}}}}}}
```


# Ski Resort Weather API

Returns daily and hourly weather forecasts for a ski resort.

7-Day Weather forecasts are updated throughout the day for each ski resort. Forecasts are provided at the base, at the summit, and for some resorts mid mountain. Note all forecast data returns data in metric values. Wind speed is returned in m/s. Wind direction is measured in degrees clockwise from north (e.g. 90 = east).

### Daily Weather Forecasts

## GET /resort/{resortId}/weather/daily

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ResortWeatherDaily":{"required":["base","summit","weatherItems"],"type":"object","properties":{"weatherItems":{"type":"array","items":{"required":["base","datetime","summit"],"type":"object","properties":{"datetime":{"type":"string","description":"ISO 8601 date with time"},"mid":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}},"summit":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number","description":"Wind speed in meters/second"},"direction":{"type":"number"}}}}},"base":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}}},"description":"Historical Weather Item"}},"summit":{"type":"number"},"url":{"type":"string"},"base":{"type":"number"}}},"WeatherType":{"type":"string","description":"* SUN\n* LUNE\n* MOSTLY_SUNNY\n* SLIGHTLY_CLOUDY\n* CLOUDY\n* RAIN\n* SLEET\n* SNOW\n* RAIN_SHOWERS\n* SNOW_SHOWERS\n* SLEET_SHOWERS\n* OVERCAS\n* FOG\n* THUNDERSTORM\n* LIGHT_RAIN\n","enum":["SUN","LUNE","MOSTLY_SUNNY","SLIGHTLY_CLOUDY","CLOUDY","RAIN","SLEET","SNOW","RAIN_SHOWERS","SNOW_SHOWERS","SLEET_SHOWERS","OVERCAS","FOG","THUNDERSTORM","LIGHT_RAIN"]}}},"paths":{"/resort/{resortId}/weather/daily":{"get":{"parameters":[{"name":"resortId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResortWeatherDaily"}}}}}}}}}
```

### Hourly Weather Forecasts <a href="#hourly-weather-forecasts" id="hourly-weather-forecasts"></a>

## GET /resort/{resortId}/weather/hourly

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ResortWeatherHourly":{"required":["base","summit","weatherItems"],"type":"object","properties":{"weatherItems":{"type":"array","items":{"required":["base","datetime","summit"],"type":"object","properties":{"datetime":{"type":"string","description":"ISO 8601 date with time"},"mid":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}},"summit":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number","description":"Wind speed in meters/second"},"direction":{"type":"number"}}}}},"base":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}}},"description":"Historical Weather Item"}},"summit":{"type":"number"},"url":{"type":"string"},"base":{"type":"number"}}},"WeatherType":{"type":"string","description":"* SUN\n* LUNE\n* MOSTLY_SUNNY\n* SLIGHTLY_CLOUDY\n* CLOUDY\n* RAIN\n* SLEET\n* SNOW\n* RAIN_SHOWERS\n* SNOW_SHOWERS\n* SLEET_SHOWERS\n* OVERCAS\n* FOG\n* THUNDERSTORM\n* LIGHT_RAIN\n","enum":["SUN","LUNE","MOSTLY_SUNNY","SLIGHTLY_CLOUDY","CLOUDY","RAIN","SLEET","SNOW","RAIN_SHOWERS","SNOW_SHOWERS","SLEET_SHOWERS","OVERCAS","FOG","THUNDERSTORM","LIGHT_RAIN"]}}},"paths":{"/resort/{resortId}/weather/hourly":{"get":{"parameters":[{"name":"resortId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResortWeatherHourly"}}}}}}}}}
```


# Regions

Returns all active regions

The /regions GET endpoint returns all regions available and active within MountainNews. It is recommended to use this endpoint to identify regions ids you would like to pull snow report information for. We recommend caching the results to this endpoint.

## GET /regions

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"PartnerRegionItems":{"type":"array","description":"Collection of partner regions","items":{"type":"object","properties":{"country":{"type":"string","description":"Region country"},"id":{"type":"number","description":"Unique identifier of the region"},"title":{"type":"string","description":"Name of the region"}}}}}},"paths":{"/regions":{"get":{"operationId":"listRegions","parameters":[{"name":"search","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerRegionItems"}}}}}}}}}
```


# partner-api

## GET /resorts/snowreport

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ArrayOfResortSnowReport":{"type":"array","items":{"$ref":"#/components/schemas/ResortSnowReport"}},"ResortSnowReport":{"type":"object","properties":{"depth":{"required":["base","summit"],"type":"object","properties":{"middle":{"type":"number","description":"Middle snow depth"},"summit":{"type":"number","description":"Summit snow depth"},"base":{"type":"number","description":"Base snow depth"}}},"surfaceType":{"type":"number","description":"\n * Primary snow surface type at the top:\n * 1 - Powder\n * 2 - Packed Powder\n * 3 - Machine Made\n * 4 - Machine Groomed\n * 5 - Hard Packed\n * 6 - Spring Snow\n * 7 - Corn Snow\n * 8 - Loose Granular\n * 9 - Frozen Granular\n * 10 - Granular\n * 11 - Icy Spots\n * 12 - Bare Spots\n * 13 - Obstacles\n * 14 - Skiers Packed\n * 15 - Variable Conditions\n * 16 - Wet Snow\n * 17 - Thin Cover\n * 18 - Wind Blown","enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18]},"lifts":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of lifts total"},"details":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Lift name"},"type":{"type":"string","description":"\n * highSpeedSix - Six Chair High Speed\n * highSpeedEight - Eight Chair High Speed\n * gondola - Gondola\n * tram - Tram\n * highSpeedQuad - Four Chair High Speed\n * quad - Four Chair\n * triple - Three Chairs\n * double - Double Chairs\n * surface - Surface lift\n * other - Other type of lift","enum":["surface","double","triple","quad","highSpeedQuad","highSpeedSix","highSpeedEight","gondola","tram","other"]},"status":{"type":"number","description":"\n * 0 - No Info\n * 1 - Open\n * 2 - Closed\n * 3 - Temporarily Closed (On Hold)\n * 4 - Delayed\n * 5 - Open to Mid Station only","enum":[0,1,2,3,4,5]}}}},"open":{"type":"number","description":"Number of lifts open"}},"description":"Resort lifts element"},"resort":{"type":"number","description":"Resort ID"},"terrain":{"type":"object","properties":{"parks":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of pipes total"},"open":{"type":"number","description":"Number of pipes open"}}},"canReturnBySki":{"type":"boolean"},"km":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Km of runs total"},"open":{"type":"number","description":"Km of runs open"}},"description":"Resort runs in km element"},"runsIntermediate":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort intermediate terrain item"},"runsExpert":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort expert terrain item"},"runsBeginner":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort beginner terrain item"},"runsAdvanced":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort advanced terrain item"},"tubes":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of tubes total"},"open":{"type":"number","description":"Number of tubes open"}}},"acres":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of acres total"},"open":{"type":"number","description":"Number of acres open"}}},"nordic":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Total in km"},"skategroomed":{"type":"number","description":"Skategroomed in km"},"trackset":{"type":"number","description":"Trackset in km"},"open":{"type":"number","description":"Nordic Open in km"}}},"runs":{"required":["total"],"type":"object","properties":{"total":{"type":"integer","description":"Total number of runs","format":"int32"},"openPercent":{"type":"integer","description":"Percentage of runs that are open","format":"int32"},"details":{"type":"array","description":"List of individual runs with their statuses and attributes","items":{"type":"object","properties":{"difficulty":{"type":"number","description":"\n * 1 - Easy\n * 2 - Intermediate\n * 3 - Advanced\n * 4 - Expert","enum":[0,1,2,3,4]},"nightskiing":{"type":"boolean","description":"Indicates if the run supports night skiing"},"snowmaking":{"type":"boolean","description":"Snowmaking"},"name":{"type":"string","description":"Name of the run"},"grooming":{"type":"boolean","description":"Indicates if the run is groomed"},"status":{"type":"number","description":"\n * 0 - No Info\n * 1 - Open\n * 2 - Closed\n * 3 - Temporarily Closed (On Hold)\n * 4 - Delayed\n * 5 - Open to Mid Station only","enum":[0,1,2,3,4,5]}}}},"open":{"type":"integer","description":"Number of open runs","format":"int32"}}},"pipes":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of pipes total"},"open":{"type":"number","description":"Number of pipes open"}}}}},"recent":{"type":"array","description":"Recent snow history for the last 7 days.","items":{"required":["date","snow"],"type":"object","properties":{"date":{"type":"string","description":"ISO date without time in YYYY-MM-dd format"},"snow":{"type":"number","description":"Snow fall value in cm"}},"description":"Describes snow history chart item"}},"url":{"type":"string"},"surfaceTypeBottom":{"type":"number","description":"\n * Primary snow surface type at the bottom:\n * 1 - Powder\n * 2 - Packed Powder\n * 3 - Machine Made\n * 4 - Machine Groomed\n * 5 - Hard Packed\n * 6 - Spring Snow\n * 7 - Corn Snow\n * 8 - Loose Granular\n * 9 - Frozen Granular\n * 10 - Granular\n * 11 - Icy Spots\n * 12 - Bare Spots\n * 13 - Obstacles\n * 14 - Skiers Packed\n * 15 - Variable Conditions\n * 16 - Wet Snow\n * 17 - Thin Cover\n * 18 - Wind Blown","enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18]},"status":{"required":["openFlag"],"type":"object","properties":{"openFlag":{"type":"number","description":"\n *              Resort Open Status:\n *              `1` - Open\n *              `2` - Closed\n *              `3` - Temporarily Closed\n *              `4` - Weekends only\n *              `5` - No Report Available\n *              `6` - Permanently Closed\n *          ","enum":[1,2,3,4,5,6]},"closingDate":{"type":"string","description":"ISO 8601 date without time"},"openingDate":{"type":"string","description":"ISO 8601 date without time"}},"description":"Report Status"},"updatedAt":{"type":"string","description":"The last update date and time of the snow report in ISO 8601 format.","format":"date-time"}},"description":"Represents the snow report for a partner resort."}}},"paths":{"/resorts/snowreport":{"get":{"parameters":[{"name":"regionId","in":"query","schema":{"type":"string"}},{"name":"resortIds","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArrayOfResortSnowReport"}}}}}}}}}
```

## GET /resort/{resortId}/snowreport

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ResortSnowReport":{"type":"object","properties":{"depth":{"required":["base","summit"],"type":"object","properties":{"middle":{"type":"number","description":"Middle snow depth"},"summit":{"type":"number","description":"Summit snow depth"},"base":{"type":"number","description":"Base snow depth"}}},"surfaceType":{"type":"number","description":"\n * Primary snow surface type at the top:\n * 1 - Powder\n * 2 - Packed Powder\n * 3 - Machine Made\n * 4 - Machine Groomed\n * 5 - Hard Packed\n * 6 - Spring Snow\n * 7 - Corn Snow\n * 8 - Loose Granular\n * 9 - Frozen Granular\n * 10 - Granular\n * 11 - Icy Spots\n * 12 - Bare Spots\n * 13 - Obstacles\n * 14 - Skiers Packed\n * 15 - Variable Conditions\n * 16 - Wet Snow\n * 17 - Thin Cover\n * 18 - Wind Blown","enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18]},"lifts":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of lifts total"},"details":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Lift name"},"type":{"type":"string","description":"\n * highSpeedSix - Six Chair High Speed\n * highSpeedEight - Eight Chair High Speed\n * gondola - Gondola\n * tram - Tram\n * highSpeedQuad - Four Chair High Speed\n * quad - Four Chair\n * triple - Three Chairs\n * double - Double Chairs\n * surface - Surface lift\n * other - Other type of lift","enum":["surface","double","triple","quad","highSpeedQuad","highSpeedSix","highSpeedEight","gondola","tram","other"]},"status":{"type":"number","description":"\n * 0 - No Info\n * 1 - Open\n * 2 - Closed\n * 3 - Temporarily Closed (On Hold)\n * 4 - Delayed\n * 5 - Open to Mid Station only","enum":[0,1,2,3,4,5]}}}},"open":{"type":"number","description":"Number of lifts open"}},"description":"Resort lifts element"},"resort":{"type":"number","description":"Resort ID"},"terrain":{"type":"object","properties":{"parks":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of pipes total"},"open":{"type":"number","description":"Number of pipes open"}}},"canReturnBySki":{"type":"boolean"},"km":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Km of runs total"},"open":{"type":"number","description":"Km of runs open"}},"description":"Resort runs in km element"},"runsIntermediate":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort intermediate terrain item"},"runsExpert":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort expert terrain item"},"runsBeginner":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort beginner terrain item"},"runsAdvanced":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort advanced terrain item"},"tubes":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of tubes total"},"open":{"type":"number","description":"Number of tubes open"}}},"acres":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of acres total"},"open":{"type":"number","description":"Number of acres open"}}},"nordic":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Total in km"},"skategroomed":{"type":"number","description":"Skategroomed in km"},"trackset":{"type":"number","description":"Trackset in km"},"open":{"type":"number","description":"Nordic Open in km"}}},"runs":{"required":["total"],"type":"object","properties":{"total":{"type":"integer","description":"Total number of runs","format":"int32"},"openPercent":{"type":"integer","description":"Percentage of runs that are open","format":"int32"},"details":{"type":"array","description":"List of individual runs with their statuses and attributes","items":{"type":"object","properties":{"difficulty":{"type":"number","description":"\n * 1 - Easy\n * 2 - Intermediate\n * 3 - Advanced\n * 4 - Expert","enum":[0,1,2,3,4]},"nightskiing":{"type":"boolean","description":"Indicates if the run supports night skiing"},"snowmaking":{"type":"boolean","description":"Snowmaking"},"name":{"type":"string","description":"Name of the run"},"grooming":{"type":"boolean","description":"Indicates if the run is groomed"},"status":{"type":"number","description":"\n * 0 - No Info\n * 1 - Open\n * 2 - Closed\n * 3 - Temporarily Closed (On Hold)\n * 4 - Delayed\n * 5 - Open to Mid Station only","enum":[0,1,2,3,4,5]}}}},"open":{"type":"integer","description":"Number of open runs","format":"int32"}}},"pipes":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of pipes total"},"open":{"type":"number","description":"Number of pipes open"}}}}},"recent":{"type":"array","description":"Recent snow history for the last 7 days.","items":{"required":["date","snow"],"type":"object","properties":{"date":{"type":"string","description":"ISO date without time in YYYY-MM-dd format"},"snow":{"type":"number","description":"Snow fall value in cm"}},"description":"Describes snow history chart item"}},"url":{"type":"string"},"surfaceTypeBottom":{"type":"number","description":"\n * Primary snow surface type at the bottom:\n * 1 - Powder\n * 2 - Packed Powder\n * 3 - Machine Made\n * 4 - Machine Groomed\n * 5 - Hard Packed\n * 6 - Spring Snow\n * 7 - Corn Snow\n * 8 - Loose Granular\n * 9 - Frozen Granular\n * 10 - Granular\n * 11 - Icy Spots\n * 12 - Bare Spots\n * 13 - Obstacles\n * 14 - Skiers Packed\n * 15 - Variable Conditions\n * 16 - Wet Snow\n * 17 - Thin Cover\n * 18 - Wind Blown","enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18]},"status":{"required":["openFlag"],"type":"object","properties":{"openFlag":{"type":"number","description":"\n *              Resort Open Status:\n *              `1` - Open\n *              `2` - Closed\n *              `3` - Temporarily Closed\n *              `4` - Weekends only\n *              `5` - No Report Available\n *              `6` - Permanently Closed\n *          ","enum":[1,2,3,4,5,6]},"closingDate":{"type":"string","description":"ISO 8601 date without time"},"openingDate":{"type":"string","description":"ISO 8601 date without time"}},"description":"Report Status"},"updatedAt":{"type":"string","description":"The last update date and time of the snow report in ISO 8601 format.","format":"date-time"}},"description":"Represents the snow report for a partner resort."}}},"paths":{"/resort/{resortId}/snowreport":{"get":{"parameters":[{"name":"resortId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResortSnowReport"}}}}}}}}}
```

## GET /resorts/weather/hourly

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ArrayOfBatchResortWeatherHourly":{"type":"array","items":{"$ref":"#/components/schemas/BatchResortWeatherHourly"}},"BatchResortWeatherHourly":{"allOf":[{"$ref":"#/components/schemas/ResortWeatherHourly"},{"type":"object","properties":{"resort":{"type":"number","description":"Resort ID"}}}]},"ResortWeatherHourly":{"required":["base","summit","weatherItems"],"type":"object","properties":{"weatherItems":{"type":"array","items":{"required":["base","datetime","summit"],"type":"object","properties":{"datetime":{"type":"string","description":"ISO 8601 date with time"},"mid":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}},"summit":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number","description":"Wind speed in meters/second"},"direction":{"type":"number"}}}}},"base":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}}},"description":"Historical Weather Item"}},"summit":{"type":"number"},"url":{"type":"string"},"base":{"type":"number"}}},"WeatherType":{"type":"string","description":"* SUN\n* LUNE\n* MOSTLY_SUNNY\n* SLIGHTLY_CLOUDY\n* CLOUDY\n* RAIN\n* SLEET\n* SNOW\n* RAIN_SHOWERS\n* SNOW_SHOWERS\n* SLEET_SHOWERS\n* OVERCAS\n* FOG\n* THUNDERSTORM\n* LIGHT_RAIN\n","enum":["SUN","LUNE","MOSTLY_SUNNY","SLIGHTLY_CLOUDY","CLOUDY","RAIN","SLEET","SNOW","RAIN_SHOWERS","SNOW_SHOWERS","SLEET_SHOWERS","OVERCAS","FOG","THUNDERSTORM","LIGHT_RAIN"]}}},"paths":{"/resorts/weather/hourly":{"get":{"parameters":[{"name":"regionId","in":"query","schema":{"type":"string"}},{"name":"resortIds","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArrayOfBatchResortWeatherHourly"}}}}}}}}}
```

## GET /regions

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"PartnerRegionItems":{"type":"array","description":"Collection of partner regions","items":{"type":"object","properties":{"country":{"type":"string","description":"Region country"},"id":{"type":"number","description":"Unique identifier of the region"},"title":{"type":"string","description":"Name of the region"}}}}}},"paths":{"/regions":{"get":{"operationId":"listRegions","parameters":[{"name":"search","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerRegionItems"}}}}}}}}}
```

## GET /resort/{resortId}/weather/daily

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ResortWeatherDaily":{"required":["base","summit","weatherItems"],"type":"object","properties":{"weatherItems":{"type":"array","items":{"required":["base","datetime","summit"],"type":"object","properties":{"datetime":{"type":"string","description":"ISO 8601 date with time"},"mid":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}},"summit":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number","description":"Wind speed in meters/second"},"direction":{"type":"number"}}}}},"base":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}}},"description":"Historical Weather Item"}},"summit":{"type":"number"},"url":{"type":"string"},"base":{"type":"number"}}},"WeatherType":{"type":"string","description":"* SUN\n* LUNE\n* MOSTLY_SUNNY\n* SLIGHTLY_CLOUDY\n* CLOUDY\n* RAIN\n* SLEET\n* SNOW\n* RAIN_SHOWERS\n* SNOW_SHOWERS\n* SLEET_SHOWERS\n* OVERCAS\n* FOG\n* THUNDERSTORM\n* LIGHT_RAIN\n","enum":["SUN","LUNE","MOSTLY_SUNNY","SLIGHTLY_CLOUDY","CLOUDY","RAIN","SLEET","SNOW","RAIN_SHOWERS","SNOW_SHOWERS","SLEET_SHOWERS","OVERCAS","FOG","THUNDERSTORM","LIGHT_RAIN"]}}},"paths":{"/resort/{resortId}/weather/daily":{"get":{"parameters":[{"name":"resortId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResortWeatherDaily"}}}}}}}}}
```

## GET /resort/{resortId}/webcams

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"PartnerWebcamItems":{"type":"array","description":"Collection of partner webcams","items":{"type":"object","properties":{"image":{"type":"object","properties":{"large":{"type":"string","format":"uri"},"thumb":{"type":"string","format":"uri"},"xlarge":{"type":"string","format":"uri"},"mid":{"type":"string","format":"uri"}}},"lastUpdate":{"type":"string","format":"date-time"},"webcamId":{"type":"number"},"resort":{"type":"number"},"webcamName":{"type":"string"},"webcamIframeUrl":{"type":"string"},"liveStreaming":{"type":"boolean"}}}}}},"paths":{"/resort/{resortId}/webcams":{"get":{"parameters":[{"name":"resortId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerWebcamItems"}}}}}}}}}
```

## GET /resort/{resortId}/profile

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ResortProfile":{"type":"object","properties":{"elevation":{"required":["base","summit","verticalDrop"],"type":"object","properties":{"verticalDrop":{"type":"number"},"summit":{"type":"number"},"base":{"type":"number"}},"description":"Mountain elevation info in meters"},"website":{"type":"string","description":"Official website URL of the resort","format":"url"},"resortName":{"type":"string","description":"Name of the resort"},"kmNightSkiing":{"type":"number"},"lifts":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of lifts total"},"allLifts":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string","enum":["surface","double","triple","quad","highSpeedQuad","highSpeedSix","highSpeedEight","gondola","tram"]}}}},"details":{"type":"object","properties":{"numEightLifts":{"type":"integer","format":"int32"},"numTripleChairs":{"type":"integer","format":"int32"},"numGondolasTrans":{"type":"integer","format":"int32"},"numQuadChairs":{"type":"integer","format":"int32"},"numLifts":{"type":"integer","format":"int32"},"numSurfaceLifts":{"type":"integer","format":"int32"},"numHighSpeedQuads":{"type":"integer","format":"int32"},"numHighSpeedSix":{"type":"integer","format":"int32"},"numDoubleChairs":{"type":"integer","format":"int32"}}},"open":{"type":"number","description":"Number of lifts open"}},"description":"Resort lifts element"},"services":{"type":"object","properties":{"hasNordic":{"type":"boolean","description":"Whether the resort offers nordic skiing"},"hasSnowPark":{"type":"boolean","description":"Whether the resort has a snow park"},"hasSkiing":{"type":"boolean","description":"Whether the resort offers skiing"},"hasSummer":{"type":"boolean","description":"Whether the resort offers summer activities"},"glacierResort":{"type":"boolean","description":"Whether the resort is located on a glacier"},"indoorResort":{"type":"boolean","description":"Whether the resort is an indoor resort"}}},"facts":{"type":"object","properties":{"projectedOpening":{"type":"string","description":"Projected opening date in YYYY-MM-DD format","format":"date"},"numDaysOpenLastYear":{"type":"integer","description":"Number of days the resort was open last year","format":"int32"},"projectedClosing":{"type":"string","description":"Projected closing date in YYYY-MM-DD format","format":"date"}},"description":"Additional facts about the resort"},"url":{"type":"string"},"skierEmail":{"type":"string"},"numNightSkiingAcres":{"type":"number"},"schedule":{"type":"array","description":"Describes resort operating hours for each day of the week. `day` uses 0..6 (0=Monday, 6=Sunday).","items":{"required":["day","from","to"],"type":"object","properties":{"isNight":{"type":"boolean","description":"Whether this time range is a night session."},"from":{"type":"string","description":"Start time in HH:mm:ss (24h). Example: 08:45:00"},"to":{"type":"string","description":"End time in HH:mm:ss (24h). Example: 15:30:00"},"day":{"maximum":6,"minimum":0,"type":"integer","description":"Day of week (0=Sunday ... 6=Saturday).","format":"int32"}}}},"phone800":{"type":"string"},"location":{"type":"object","properties":{"zip":{"type":"string","description":"ZIP code of the resort"},"city":{"type":"string","description":"City where the resort is located"},"stateName":{"type":"string","description":"Name of the state"},"street":{"type":"string","description":"Street address of the resort"},"latitude":{"type":"number","description":"Latitude","format":"float"},"countryName":{"type":"string","description":"Name of the country"},"longitude":{"type":"number","description":"Longitude","format":"float"}},"description":"Location details of the resort"},"id":{"type":"integer","description":"Unique identifier for the resort profile","format":"int32"},"runs":{"type":"object","properties":{"expert":{"type":"integer","description":"Number of expert runs","format":"int32"},"total":{"type":"integer","description":"Total number of runs","format":"int32"},"beginner":{"type":"integer","description":"Number of beginner runs","format":"int32"},"advanced":{"type":"integer","description":"Number of advanced runs","format":"int32"},"intermediate":{"type":"integer","description":"Number of intermediate runs","format":"int32"},"allRuns":{"type":"array","items":{"type":"object","properties":{"difficulty":{"type":"integer","description":"\n * 1 - Beginner - Green (in US)\n * 2 - Intermediate - Blue (in US)\n * 3 - Advanced - Black (in US)\n * 4 - Expert - Double Black (in US)","format":"int32","enum":[1,2,3,4]},"length":{"type":"integer","description":"Length of run in meters","format":"int32"},"name":{"type":"string"}}}},"totalRunsLength":{"type":"number","description":"Total length of all runs in km","format":"float"}},"description":"Information about the resort's runs"},"terrain":{"type":"object","properties":{"km":{"type":"number","description":"Kilometers of pistes","format":"float"},"acres":{"type":"integer","description":"Skiable acres","format":"int32"},"skiReturn":{"type":"integer","description":"Ability to return by ski","format":"int32"},"longestRun":{"type":"integer","description":"Longest resort run","format":"int32"}},"description":"Terrain information"}},"description":"Detailed profile information of a resort"}}},"paths":{"/resort/{resortId}/profile":{"get":{"parameters":[{"name":"resortId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResortProfile"}}}}}}}}}
```

## GET /resorts/webcams

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"PartnerWebcamItems":{"type":"array","description":"Collection of partner webcams","items":{"type":"object","properties":{"image":{"type":"object","properties":{"large":{"type":"string","format":"uri"},"thumb":{"type":"string","format":"uri"},"xlarge":{"type":"string","format":"uri"},"mid":{"type":"string","format":"uri"}}},"lastUpdate":{"type":"string","format":"date-time"},"webcamId":{"type":"number"},"resort":{"type":"number"},"webcamName":{"type":"string"},"webcamIframeUrl":{"type":"string"},"liveStreaming":{"type":"boolean"}}}}}},"paths":{"/resorts/webcams":{"get":{"parameters":[{"name":"regionId","in":"query","schema":{"type":"string"}},{"name":"resortIds","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerWebcamItems"}}}}}}}}}
```

## GET /resorts

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"PartnerResortItems":{"type":"array","description":"Collection of partner resorts","items":{"type":"object","properties":{"continent":{"type":"string","description":"Resort Continent"},"country":{"type":"string","description":"Resort country"},"regionId":{"type":"number","description":"Unique identifier of the region"},"name":{"type":"string","description":"Name of the resort"},"id":{"type":"number","description":"Unique identifier of the resort"},"state":{"type":"string","description":"Resort State"}}}}}},"paths":{"/resorts":{"get":{"operationId":"listResorts","parameters":[{"name":"state","in":"query","schema":{"type":"string"}},{"name":"continent","in":"query","schema":{"type":"string"}},{"name":"resortName","in":"query","schema":{"type":"string"}},{"name":"country","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerResortItems"}}}}}}}}}
```

## GET /resorts/weather/daily

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ArrayOfBatchResortWeatherDaily":{"type":"array","items":{"$ref":"#/components/schemas/BatchResortWeatherDaily"}},"BatchResortWeatherDaily":{"allOf":[{"$ref":"#/components/schemas/ResortWeatherDaily"},{"type":"object","properties":{"resort":{"type":"number","description":"Resort ID"}}}]},"ResortWeatherDaily":{"required":["base","summit","weatherItems"],"type":"object","properties":{"weatherItems":{"type":"array","items":{"required":["base","datetime","summit"],"type":"object","properties":{"datetime":{"type":"string","description":"ISO 8601 date with time"},"mid":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}},"summit":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number","description":"Wind speed in meters/second"},"direction":{"type":"number"}}}}},"base":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}}},"description":"Historical Weather Item"}},"summit":{"type":"number"},"url":{"type":"string"},"base":{"type":"number"}}},"WeatherType":{"type":"string","description":"* SUN\n* LUNE\n* MOSTLY_SUNNY\n* SLIGHTLY_CLOUDY\n* CLOUDY\n* RAIN\n* SLEET\n* SNOW\n* RAIN_SHOWERS\n* SNOW_SHOWERS\n* SLEET_SHOWERS\n* OVERCAS\n* FOG\n* THUNDERSTORM\n* LIGHT_RAIN\n","enum":["SUN","LUNE","MOSTLY_SUNNY","SLIGHTLY_CLOUDY","CLOUDY","RAIN","SLEET","SNOW","RAIN_SHOWERS","SNOW_SHOWERS","SLEET_SHOWERS","OVERCAS","FOG","THUNDERSTORM","LIGHT_RAIN"]}}},"paths":{"/resorts/weather/daily":{"get":{"parameters":[{"name":"regionId","in":"query","schema":{"type":"string"}},{"name":"resortIds","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArrayOfBatchResortWeatherDaily"}}}}}}}}}
```

## GET /resort/{resortId}/weather/hourly

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ResortWeatherHourly":{"required":["base","summit","weatherItems"],"type":"object","properties":{"weatherItems":{"type":"array","items":{"required":["base","datetime","summit"],"type":"object","properties":{"datetime":{"type":"string","description":"ISO 8601 date with time"},"mid":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}},"summit":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number","description":"Wind speed in meters/second"},"direction":{"type":"number"}}}}},"base":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}}},"description":"Historical Weather Item"}},"summit":{"type":"number"},"url":{"type":"string"},"base":{"type":"number"}}},"WeatherType":{"type":"string","description":"* SUN\n* LUNE\n* MOSTLY_SUNNY\n* SLIGHTLY_CLOUDY\n* CLOUDY\n* RAIN\n* SLEET\n* SNOW\n* RAIN_SHOWERS\n* SNOW_SHOWERS\n* SLEET_SHOWERS\n* OVERCAS\n* FOG\n* THUNDERSTORM\n* LIGHT_RAIN\n","enum":["SUN","LUNE","MOSTLY_SUNNY","SLIGHTLY_CLOUDY","CLOUDY","RAIN","SLEET","SNOW","RAIN_SHOWERS","SNOW_SHOWERS","SLEET_SHOWERS","OVERCAS","FOG","THUNDERSTORM","LIGHT_RAIN"]}}},"paths":{"/resort/{resortId}/weather/hourly":{"get":{"parameters":[{"name":"resortId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResortWeatherHourly"}}}}}}}}}
```

## GET /resorts/profile

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ArrayOfResortProfile":{"type":"array","items":{"$ref":"#/components/schemas/ResortProfile"}},"ResortProfile":{"type":"object","properties":{"elevation":{"required":["base","summit","verticalDrop"],"type":"object","properties":{"verticalDrop":{"type":"number"},"summit":{"type":"number"},"base":{"type":"number"}},"description":"Mountain elevation info in meters"},"website":{"type":"string","description":"Official website URL of the resort","format":"url"},"resortName":{"type":"string","description":"Name of the resort"},"kmNightSkiing":{"type":"number"},"lifts":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of lifts total"},"allLifts":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string","enum":["surface","double","triple","quad","highSpeedQuad","highSpeedSix","highSpeedEight","gondola","tram"]}}}},"details":{"type":"object","properties":{"numEightLifts":{"type":"integer","format":"int32"},"numTripleChairs":{"type":"integer","format":"int32"},"numGondolasTrans":{"type":"integer","format":"int32"},"numQuadChairs":{"type":"integer","format":"int32"},"numLifts":{"type":"integer","format":"int32"},"numSurfaceLifts":{"type":"integer","format":"int32"},"numHighSpeedQuads":{"type":"integer","format":"int32"},"numHighSpeedSix":{"type":"integer","format":"int32"},"numDoubleChairs":{"type":"integer","format":"int32"}}},"open":{"type":"number","description":"Number of lifts open"}},"description":"Resort lifts element"},"services":{"type":"object","properties":{"hasNordic":{"type":"boolean","description":"Whether the resort offers nordic skiing"},"hasSnowPark":{"type":"boolean","description":"Whether the resort has a snow park"},"hasSkiing":{"type":"boolean","description":"Whether the resort offers skiing"},"hasSummer":{"type":"boolean","description":"Whether the resort offers summer activities"},"glacierResort":{"type":"boolean","description":"Whether the resort is located on a glacier"},"indoorResort":{"type":"boolean","description":"Whether the resort is an indoor resort"}}},"facts":{"type":"object","properties":{"projectedOpening":{"type":"string","description":"Projected opening date in YYYY-MM-DD format","format":"date"},"numDaysOpenLastYear":{"type":"integer","description":"Number of days the resort was open last year","format":"int32"},"projectedClosing":{"type":"string","description":"Projected closing date in YYYY-MM-DD format","format":"date"}},"description":"Additional facts about the resort"},"url":{"type":"string"},"skierEmail":{"type":"string"},"numNightSkiingAcres":{"type":"number"},"schedule":{"type":"array","description":"Describes resort operating hours for each day of the week. `day` uses 0..6 (0=Monday, 6=Sunday).","items":{"required":["day","from","to"],"type":"object","properties":{"isNight":{"type":"boolean","description":"Whether this time range is a night session."},"from":{"type":"string","description":"Start time in HH:mm:ss (24h). Example: 08:45:00"},"to":{"type":"string","description":"End time in HH:mm:ss (24h). Example: 15:30:00"},"day":{"maximum":6,"minimum":0,"type":"integer","description":"Day of week (0=Sunday ... 6=Saturday).","format":"int32"}}}},"phone800":{"type":"string"},"location":{"type":"object","properties":{"zip":{"type":"string","description":"ZIP code of the resort"},"city":{"type":"string","description":"City where the resort is located"},"stateName":{"type":"string","description":"Name of the state"},"street":{"type":"string","description":"Street address of the resort"},"latitude":{"type":"number","description":"Latitude","format":"float"},"countryName":{"type":"string","description":"Name of the country"},"longitude":{"type":"number","description":"Longitude","format":"float"}},"description":"Location details of the resort"},"id":{"type":"integer","description":"Unique identifier for the resort profile","format":"int32"},"runs":{"type":"object","properties":{"expert":{"type":"integer","description":"Number of expert runs","format":"int32"},"total":{"type":"integer","description":"Total number of runs","format":"int32"},"beginner":{"type":"integer","description":"Number of beginner runs","format":"int32"},"advanced":{"type":"integer","description":"Number of advanced runs","format":"int32"},"intermediate":{"type":"integer","description":"Number of intermediate runs","format":"int32"},"allRuns":{"type":"array","items":{"type":"object","properties":{"difficulty":{"type":"integer","description":"\n * 1 - Beginner - Green (in US)\n * 2 - Intermediate - Blue (in US)\n * 3 - Advanced - Black (in US)\n * 4 - Expert - Double Black (in US)","format":"int32","enum":[1,2,3,4]},"length":{"type":"integer","description":"Length of run in meters","format":"int32"},"name":{"type":"string"}}}},"totalRunsLength":{"type":"number","description":"Total length of all runs in km","format":"float"}},"description":"Information about the resort's runs"},"terrain":{"type":"object","properties":{"km":{"type":"number","description":"Kilometers of pistes","format":"float"},"acres":{"type":"integer","description":"Skiable acres","format":"int32"},"skiReturn":{"type":"integer","description":"Ability to return by ski","format":"int32"},"longestRun":{"type":"integer","description":"Longest resort run","format":"int32"}},"description":"Terrain information"}},"description":"Detailed profile information of a resort"}}},"paths":{"/resorts/profile":{"get":{"parameters":[{"name":"regionId","in":"query","schema":{"type":"string"}},{"name":"resortIds","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArrayOfResortProfile"}}}}}}}}}
```


